<?php

namespace GriffinForms\Admin\Html\Elements;

class AdminNotice extends \GriffinForms\Admin\Html\Format
{
    public function html($type = 'error', $heading = 'error_heading', $content = 'error_text')
    {
        echo '<div class="' . esc_attr('notice notice-' . $type) . ' is-dismissible m-3">';
        echo '<p><strong>' . esc_html($heading) . '</strong></p>';
        echo '<p>' . wp_kses_post($content) . '</p>';
        echo '</div>';
    }
}